import React, { ButtonHTMLAttributes, ReactNode } from 'react';
type IButtonVariant = 'default' | 'primary' | 'destructive' | 'outline' | 'secondary' | 'ghost' | 'link';
type IButtonSize = 'default' | 'sm' | 'lg' | 'icon';
interface IButtonProps extends ButtonHTMLAttributes<HTMLButtonElement> {
    className?: string;
    onClick?: () => void;
    isLoading?: boolean;
    loader?: string;
    variant?: IButtonVariant;
    size?: IButtonSize;
    children: ReactNode;
}
export default function Button({ className, isLoading, loader, variant, size, children, ...props }: IButtonProps): React.JSX.Element;
export {};
