import { __assign, __rest } from "tslib";
import * as React from 'react';
import { OTPInputContext } from 'input-otp';
import clsx from 'clsx';
var InputOTPSlot = React.forwardRef(function (_a, ref) {
    var index = _a.index, className = _a.className, props = __rest(_a, ["index", "className"]);
    var inputOTPContext = React.useContext(OTPInputContext);
    var _b = inputOTPContext.slots[index], char = _b.char, hasFakeCaret = _b.hasFakeCaret, isActive = _b.isActive;
    return (React.createElement("div", __assign({ ref: ref, className: clsx('relative flex h-9 w-9 items-center justify-center border-y border-r border-[#e9f0ff] dark:border-[#8b99a6] text-sm text-[#020617] dark:text-white shadow-sm transition-all first:rounded-l-md first:border-l last:rounded-r-md', isActive && 'z-10 ring-1 ring-brand', className) }, props),
        char,
        hasFakeCaret && (React.createElement("div", { className: "pointer-events-none absolute inset-0 flex items-center justify-center" },
            React.createElement("div", { className: "h-4 w-px bg-brand duration-1000" })))));
});
InputOTPSlot.displayName = 'InputOTPSlot';
export default InputOTPSlot;
//# sourceMappingURL=InputOTPSlot.js.map