import React, { ChangeEvent, InputHTMLAttributes } from 'react';
type InputType = 'text' | 'email' | 'date' | 'time' | 'datetime-local' | 'month' | 'week' | 'password' | 'number' | 'tel' | 'url' | 'file' | 'search' | 'checkbox' | 'radio' | 'hidden';
interface IInputProps extends InputHTMLAttributes<HTMLInputElement> {
    type: InputType;
    className?: string;
    onChange?: (event: ChangeEvent<HTMLInputElement>) => void;
}
declare const Input: React.ForwardRefExoticComponent<IInputProps & React.RefAttributes<HTMLInputElement>>;
export default Input;
