import React, { Fragment } from 'react';
import Input from '../input/Input';
import { useReactTable, getCoreRowModel, getPaginationRowModel, flexRender, } from '@tanstack/react-table';
import { Pagination } from '../index';
export default function Datatable(_a) {
    var data = _a.data, columns = _a.columns, renderSubComponent = _a.renderSubComponent, pagePaginate = _a.pagePaginate, setPagePaginate = _a.setPagePaginate, meta = _a.meta, isLoading = _a.isLoading, setSearch = _a.setSearch, tableTopRightHeader = _a.tableTopRightHeader;
    var table = useReactTable({
        columns: columns,
        data: data,
        getCoreRowModel: getCoreRowModel(),
        getPaginationRowModel: getPaginationRowModel(),
        manualPagination: true,
        pageCount: meta.total,
    });
    var handleSearch = function (e) {
        if (e.target.value.length > 2) {
            setSearch(e.target.value);
        }
        else {
            setSearch('');
        }
    };
    return (React.createElement(React.Fragment, null,
        React.createElement("div", { className: "bg-white dark:bg-black overflow-hidden" },
            React.createElement("div", { className: "flex flex-col md:flex-row items-center justify-between space-y-3 md:space-y-0 md:space-x-4 p-4" },
                React.createElement("div", { className: "w-full md:w-1/2" },
                    React.createElement("div", { className: "flex items-center" },
                        React.createElement("div", { className: "w-full" },
                            React.createElement(Input, { type: "search", className: "w-full", placeholder: "Search", onChange: handleSearch })))),
                React.createElement("div", { className: "w-full md:w-auto flex flex-col md:flex-row space-y-2 md:space-y-0 items-stretch md:items-center justify-end md:space-x-3 flex-shrink-0" }, tableTopRightHeader)),
            React.createElement("div", { className: "overflow-x-auto" },
                React.createElement("table", { className: "w-full text-left table-auto" },
                    React.createElement("thead", { className: "text-xs text-zinc-700 uppercase bg-zinc-50 dark:bg-zinc-900 dark:text-zinc-500" }, table.getHeaderGroups().map(function (headerGroup) { return (React.createElement("tr", { key: headerGroup.id }, headerGroup.headers.map(function (header) {
                        return (React.createElement("th", { className: "px-4 py-3", key: header.id, colSpan: header.colSpan }, header.isPlaceholder ? null : (React.createElement("div", null, flexRender(header.column
                            .columnDef
                            .header, header.getContext())))));
                    }))); })),
                    React.createElement("tbody", { className: "text-zinc-900 dark:text-zinc-300" }, isLoading ? (React.createElement("tr", null, Array(columns.length)
                        .fill(1)
                        .map(function (_, key) { return (React.createElement("td", { key: key },
                        React.createElement("div", { role: "status", className: "w-full p-4 rounded animate-pulse" },
                            React.createElement("div", { className: "flex items-center justify-between" },
                                React.createElement("div", null,
                                    React.createElement("div", { className: "h-2.5 bg-zinc-300 rounded-full dark:bg-zinc-600 w-24 mb-2.5" }),
                                    React.createElement("div", { className: "w-32 h-2 bg-zinc-200 rounded-full dark:bg-zinc-700" })))))); }))) : table.getRowModel().rows.length > 0 ? (table.getRowModel().rows.map(function (row) {
                        return (React.createElement(Fragment, { key: row.id },
                            React.createElement("tr", { className: "border-b border-zinc-50 dark:border-zinc-800 hover:bg-zinc-50 dark:hover:bg-zinc-800 h-16" }, row
                                .getVisibleCells()
                                .map(function (cell) {
                                return (React.createElement("td", { key: cell.id, className: "p-4 text-base font-medium whitespace-nowrap dark:text-zinc-400" }, flexRender(cell.column
                                    .columnDef
                                    .cell, cell.getContext())));
                            })),
                            row.getIsExpanded() &&
                                renderSubComponent && (React.createElement("tr", { className: "border-b border-zinc-50 dark:border-zinc-800 hover:bg-zinc-50 dark:hover:bg-zinc-800 h-16" },
                                React.createElement("td", { className: "p-4 text-base font-medium whitespace-nowrap dark:text-zinc-400", colSpan: row.getVisibleCells()
                                        .length }, renderSubComponent({
                                    row: row,
                                }))))));
                    })) : (React.createElement("tr", null,
                        React.createElement("td", { className: "text-sm p-4 truncate" }, "G\u00F6sterilecek kay\u0131t yok")))))),
            React.createElement(Pagination, { meta: meta, previousPage: table.previousPage, nextPage: table.nextPage, pagePaginate: pagePaginate, setPagePaginate: setPagePaginate }))));
}
//# sourceMappingURL=Datatable.js.map