import React from 'react';
import Button from '../button/Button';
export default function Pagination(_a) {
    var previousPage = _a.previousPage, nextPage = _a.nextPage, setPagePaginate = _a.setPagePaginate, pagePaginate = _a.pagePaginate, meta = _a.meta;
    var customPrevPage = function () {
        if (!meta || pagePaginate === 1)
            return;
        setPagePaginate(pagePaginate - 1);
        previousPage();
    };
    var customNextPage = function () {
        if (!meta || pagePaginate === (meta === null || meta === void 0 ? void 0 : meta.last_page))
            return;
        setPagePaginate(pagePaginate + 1);
        nextPage();
    };
    return (React.createElement(React.Fragment, null,
        React.createElement("nav", { className: "flex justify-between items-center p-3", "aria-label": "Datatable navigation" },
            React.createElement("span", { className: "text-sm font-normal text-zinc-500 dark:text-zinc-400" },
                "Showing ", meta === null || meta === void 0 ? void 0 :
                meta.from,
                " ",
                ' - ',
                " ", meta === null || meta === void 0 ? void 0 :
                meta.to,
                " of ", meta === null || meta === void 0 ? void 0 :
                meta.total),
            React.createElement("ul", { className: "list-none inline-flex items-stretch -space-x-px" },
                React.createElement("li", null,
                    React.createElement(Button, { type: "button", size: "icon", variant: "outline", onClick: customPrevPage },
                        React.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", fill: "none", viewBox: "0 0 24 24", strokeWidth: "1.5", stroke: "currentColor", className: "w-4" },
                            React.createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "M15.75 19.5 8.25 12l7.5-7.5" })))),
                React.createElement("li", null,
                    React.createElement(Button, { type: "button", size: "icon", variant: "outline", onClick: customNextPage },
                        React.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", fill: "none", viewBox: "0 0 24 24", strokeWidth: "1.5", stroke: "currentColor", className: "w-4" },
                            React.createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "m8.25 4.5 7.5 7.5-7.5 7.5" }))))))));
}
//# sourceMappingURL=Pagination.js.map